Loading...
Searching...
No Matches
timestamp.h File Reference

timestamp utils, mostly useful for debugging/logging purposes More...

`#include "avutil.h"`

Go to the source code of this file.

## Macros

#define | AV_TS_MAX_STRING_SIZE 32
#define | av_ts2str(ts) av_ts_make_string((char[AV_TS_MAX_STRING_SIZE]){0}, ts)
| Convenience macro, the return value should be used only directly in function arguments but never stand-alone.
#define | av_ts2timestr(ts, tb) av_ts_make_time_string((char[AV_TS_MAX_STRING_SIZE]){0}, ts, tb)
| Convenience macro, the return value should be used only directly in function arguments but never stand-alone.

## Functions

static char * | av_ts_make_string (char *buf, int64_t ts)
| Fill the provided buffer with a string containing a timestamp representation.
char * | av_ts_make_time_string2 (char *buf, int64_t ts, AVRational tb)
| Fill the provided buffer with a string containing a timestamp time representation.
static char * | av_ts_make_time_string (char *buf, int64_t ts, const AVRational *tb)
| Fill the provided buffer with a string containing a timestamp representation.

## Detailed Description

timestamp utils, mostly useful for debugging/logging purposes

Definition in file timestamp.h.

## Macro Definition Documentation

## AV_TS_MAX_STRING_SIZE

#define AV_TS_MAX_STRING_SIZE 32

Definition at line 33 of file timestamp.h.

## av_ts2str

#define av_ts2str | ( |  | ts | ) | av_ts_make_string((char[AV_TS_MAX_STRING_SIZE]){0}, ts)

Convenience macro, the return value should be used only directly in function arguments but never stand-alone.

Examples
  mux.c, and remux.c.

Definition at line 54 of file timestamp.h.

## av_ts2timestr

#define av_ts2timestr | ( |  | ts,
|  |  | tb
| ) |  | av_ts_make_time_string((char[AV_TS_MAX_STRING_SIZE]){0}, ts, tb)

Convenience macro, the return value should be used only directly in function arguments but never stand-alone.

Examples
  demux_decode.c, mux.c, and remux.c.

Definition at line 83 of file timestamp.h.

## Function Documentation

## av_ts_make_string()

static char * av_ts_make_string | ( | char * | buf,
|  | int64_t | ts
| ) |  |

inline static

Fill the provided buffer with a string containing a timestamp representation.

Parameters

  buf | a buffer with size in bytes of at least AV_TS_MAX_STRING_SIZE
  ts | the timestamp to represent

Returns
  the buffer in input

Definition at line 43 of file timestamp.h.

## av_ts_make_time_string2()

char * av_ts_make_time_string2 | ( | char * | buf,
|  | int64_t | ts,
|  | AVRational | tb
| ) |  |

Fill the provided buffer with a string containing a timestamp time representation.

Parameters

  buf | a buffer with size in bytes of at least AV_TS_MAX_STRING_SIZE
  ts | the timestamp to represent
  tb | the timebase of the timestamp

Returns
  the buffer in input

Referenced by av_ts_make_time_string().

## av_ts_make_time_string()

static char * av_ts_make_time_string | ( | char * | buf,
|  | int64_t | ts,
|  | const AVRational * | tb
| ) |  |

inline static

Fill the provided buffer with a string containing a timestamp representation.

See also
  av_ts_make_time_string2

Definition at line 73 of file timestamp.h.